# Librem 5 Goodies

This project serves to create a deb package with several bash scripts created for the Librem 5 phone.

Bring your script here and it might be packaged :tada:

Please Avoid scripts that require cloning and building packages from source.

#### Scripts added to this package:

---

|Script | Description | Dependencies | Notes |
|:--:|:--:|:--:|:--:|
|Contacts Importer| Allows to import contacts from a vcard file to GNOME Contacts. Can work with a UI and from command line interface|`yad`, `syncevolution`, `libnotify-bin`, `Evolution Data Server`| This script will cease to exist when this https://gitlab.gnome.org/GNOME/gnome-contacts/-/merge_requests/105 is merged into GNOME Contacts and this feature is present in GNOME Contacts version for the Librem 5. |
|Screenshot| Allows to take screenshots in the Librem 5 phone|`yad`, `grim`, `libnotify-bin`| This script will probably be removed from this package when the feature to make a screenshot is present in Phosh. |
|Scale the screen| A simple application to scale de screen| `wlr-randr`| |



#### Adding a script to this package:

- Make a new branch based on the master branch and work from it.
- Make a merge request
- Avoid scripts that download and build source code. If you need a dependency not available in PureOS, package it :D
- if you are not confortable in commiting to a Deb package then open an issue asking for the script to be packaged and we will work it out
